import { editor } from "monaco-editor/esm/vs/editor/editor.api";
import { parse } from "@babel/parser";
export interface ModelState {
    uri: string;
    content: string;
    ast?: ReturnType<typeof parse>;
    version: number;
    isScript: boolean;
    highlightDecorations: string[];
    typeLoaderDecorations: string[];
}
export declare function getModelState(model: editor.IModel): ModelState;
export declare function removeModelState(model: editor.IModel): void;
