import { Monaco } from "../types";
export declare enum State {
    none = 0,
    loading = 1,
    loaded = 2,
    notFound = 3,
    registered = 4,
    error = 5
}
export interface Lib {
    name: string;
    files: Record<string, string>;
    state: State;
    version?: string;
    isType?: boolean;
    typesName?: string;
}
export declare function getLib(name: string, version?: string): Lib | undefined;
export declare function createLib(name: string): Lib;
export declare function registerLib(monaco: Monaco): void;
